
import data
import pygame, os
from pygame.locals import *
from player import Player

def main():

    SCREEN_WIDTH = 640
    SCREEN_HEIGHT = 480
    FPS = 60
    
    pygame.init()
    screen = pygame.display.set_mode([SCREEN_WIDTH, SCREEN_HEIGHT])
    screen.fill((0,0,0))
    pygame.display.flip()

    clock = pygame.time.Clock()

    hero = Player(SCREEN_WIDTH, SCREEN_HEIGHT, 100, 100, "", "")

    main_loop = True

    while main_loop:
        
        for event in pygame.event.get():
            if event.type == pygame.QUIT: 
                main_loop = False
            elif event.type == pygame.KEYDOWN:
                if event.key == pygame.K_ESCAPE:
                    main_loop = False

        hero.update()
        
        screen.fill((0, 0, 0))
        screen.blit(hero.image, hero.rect)
        pygame.display.flip()
        clock.tick(FPS)

    pygame.quit()
